<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<?fileVersion 4.0.0?>
<cproject storage_type_id="org.eclipse.cdt.core.XmlProjectDescriptionStorage">
  <storageModule moduleId="org.eclipse.cdt.core.settings">
    <cconfiguration id="com.st.stm32cube.ide.mcu.gnu.managedbuild.config.exe.debug.624734783">
      <storageModule buildSystemId="org.eclipse.cdt.managedbuilder.core.configurationDataProvider" id="com.st.stm32cube.ide.mcu.gnu.managedbuild.config.exe.debug.624734783" moduleId="org.eclipse.cdt.core.settings" name="Debug">
        <externalSettings/>
        <extensions>
          <extension id="org.eclipse.cdt.core.ELF" point="org.eclipse.cdt.core.BinaryParser"/>
          <extension id="org.eclipse.cdt.core.GASErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
          <extension id="org.eclipse.cdt.core.GmakeErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
          <extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
          <extension id="org.eclipse.cdt.core.CWDLocator" point="org.eclipse.cdt.core.ErrorParser"/>
          <extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
        </extensions>
      </storageModule>
      <storageModule moduleId="cdtBuildSystem" version="4.0.0">
        <configuration artifactExtension="elf" artifactName="${ProjName}" buildArtefactType="org.eclipse.cdt.build.core.buildArtefactType.exe" buildProperties="org.eclipse.cdt.build.core.buildArtefactType=org.eclipse.cdt.build.core.buildArtefactType.exe,org.eclipse.cdt.build.core.buildType=org.eclipse.cdt.build.core.buildType.debug" cleanCommand="rm -rf" description="" id="com.st.stm32cube.ide.mcu.gnu.managedbuild.config.exe.debug.624734783" name="Debug" parent="com.st.stm32cube.ide.mcu.gnu.managedbuild.config.exe.debug">
          <folderInfo id="com.st.stm32cube.ide.mcu.gnu.managedbuild.config.exe.debug.624734783." name="/" resourcePath="">
            <toolChain id="com.st.stm32cube.ide.mcu.gnu.managedbuild.toolchain.exe.debug.1789305045" name="MCU ARM GCC" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.toolchain.exe.debug">
              <option id="com.st.stm32cube.ide.mcu.option.internal.toolchain.type.1000043756" name="Internal Toolchain Type" superClass="com.st.stm32cube.ide.mcu.option.internal.toolchain.type" useByScannerDiscovery="false" value="com.st.stm32cube.ide.mcu.gnu.managedbuild.toolchain.base.gnu-tools-for-stm32" valueType="string"/>
              <option id="com.st.stm32cube.ide.mcu.option.internal.toolchain.version.2127857768" name="Internal Toolchain Version" superClass="com.st.stm32cube.ide.mcu.option.internal.toolchain.version" useByScannerDiscovery="false" value="7-2018-q2-update" valueType="string"/>
              <option id="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.target_mcu.1293398723" name="MCU" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.target_mcu" useByScannerDiscovery="true" value="STM32F746NGHx" valueType="string"/>
              <option id="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.target_cpuid.1041426694" name="CPU" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.target_cpuid" useByScannerDiscovery="false" value="0" valueType="string"/>
              <option id="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.target_coreid.52177550" name="Core" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.target_coreid" useByScannerDiscovery="false" value="0" valueType="string"/>
              <option id="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.fpu.2129997497" name="Floating-point unit" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.fpu" useByScannerDiscovery="true" value="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.fpu.value.fpv5-sp-d16" valueType="enumerated"/>
              <option id="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.floatabi.429275767" name="Floating-point ABI" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.floatabi" useByScannerDiscovery="true" value="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.floatabi.value.hard" valueType="enumerated"/>
              <option id="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.target_board.896072040" name="Board" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.target_board" useByScannerDiscovery="false" value="genericBoard" valueType="string"/>
              <option id="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.defaults.153514827" name="Defaults" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.defaults" useByScannerDiscovery="false" value="com.st.stm32cube.ide.common.services.build.inputs.revA.1.0.5 || Debug || true || Executable || com.st.stm32cube.ide.mcu.gnu.managedbuild.toolchain.base.gnu-tools-for-stm32 || STM32F746NGHx || 0 || 0 || arm-none-eabi- || ${gnu_tools_for_stm32_compiler_path} || ../../Core/Inc | ../../Drivers/CMSIS/Include | ../../Drivers/BSP/STM32746G-Discovery | ../../TouchGFX/target | ../../Drivers/STM32F7xx_HAL_Driver/Inc | ../../Drivers/CMSIS/Device/ST/STM32F7xx/Include | ../../TouchGFX/App | ../../Middlewares/Third_Party/FreeRTOS/Source/CMSIS_RTOS_V2 | ../../Middlewares/Third_Party/FreeRTOS/Source/CMSIS_RTOS | ../../TouchGFX/target/generated | ../../Drivers/STM32F7xx_HAL_Driver/Inc/Legacy | ../../Middlewares/Third_Party/FreeRTOS/Source/portable/GCC/ARM_CM7/r0p1 | ../../LIBJPEG/Target | ../../Middlewares/Third_Party/LibJPEG/include | ../../Middlewares/Third_Party/FreeRTOS/Source/include | ../../Drivers/BSP/Components/ft5336 | ../../LIBJPEG/App ||  ||  || USE_HAL_DRIVER | STM32F746xx ||  ||  ||  ||  || ${workspace_loc:/${ProjName}/STM32F746NGHX_FLASH.ld} || true || NonSecure ||  || secure_nsclib.o ||  || None || " valueType="string"/>
              <option id="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.converthex.1144042149" name="Convert to Intel Hex file (-O ihex)" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.converthex" useByScannerDiscovery="false" value="true" valueType="boolean"/>
              <option id="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.convertbinary.464069505" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.convertbinary" useByScannerDiscovery="false" value="false" valueType="boolean"/>
              <targetPlatform archList="all" binaryParser="org.eclipse.cdt.core.ELF" id="com.st.stm32cube.ide.mcu.gnu.managedbuild.targetplatform.1036843703" isAbstract="false" osList="all" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.targetplatform"/>
              <builder buildPath="${workspace_loc:/STM32F746G_DISCO}/Debug" id="com.st.stm32cube.ide.mcu.gnu.managedbuild.builder.1036034513" keepEnvironmentInBuildfile="false" managedBuildOn="true" name="Gnu Make Builder" parallelBuildOn="true" parallelizationNumber="optimal" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.builder"/>
              <tool id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.assembler.1898055232" name="MCU GCC Assembler" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.assembler">
                <option id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.assembler.option.debuglevel.905735105" name="Debug level" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.assembler.option.debuglevel" useByScannerDiscovery="false" value="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.assembler.option.debuglevel.value.g3" valueType="enumerated"/>
                <option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.assembler.option.definedsymbols.446906502" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.assembler.option.definedsymbols" valueType="definedSymbols">
                  <listOptionValue builtIn="false" value="DEBUG"/>
                </option>
                <inputType id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.assembler.input.1814258541" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.assembler.input"/>
              </tool>
              <tool id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.compiler.1337981174" name="MCU GCC Compiler" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.compiler">
                <option id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.compiler.option.debuglevel.586635575" name="Debug level" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.compiler.option.debuglevel" useByScannerDiscovery="false" value="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.compiler.option.debuglevel.value.g3" valueType="enumerated"/>
                <option id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.compiler.option.optimization.level.434734926" name="Optimization level" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.compiler.option.optimization.level" useByScannerDiscovery="false" value="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.compiler.option.optimization.level.value.os" valueType="enumerated"/>
                <option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.compiler.option.definedsymbols.630574056" name="Define symbols (-D)" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.compiler.option.definedsymbols" useByScannerDiscovery="false" valueType="definedSymbols">
                  <listOptionValue builtIn="false" value="USE_HAL_DRIVER"/>
                  <listOptionValue builtIn="false" value="STM32F746xx"/>
                  <listOptionValue builtIn="false" value="DEBUG"/>
                </option>
                <option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.compiler.option.includepaths.704945134" name="Include paths (-I)" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.compiler.option.includepaths" useByScannerDiscovery="false" valueType="includePath">
                  <listOptionValue builtIn="false" value="../../Core/Inc"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/App"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/target/generated"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/target"/>
                  <listOptionValue builtIn="false" value="../../Drivers/STM32F7xx_HAL_Driver/Inc"/>
                  <listOptionValue builtIn="false" value="../../Drivers/STM32F7xx_HAL_Driver/Inc/Legacy"/>
                  <listOptionValue builtIn="false" value="../../Middlewares/Third_Party/FreeRTOS/Source/include"/>
                  <listOptionValue builtIn="false" value="../../Middlewares/Third_Party/FreeRTOS/Source/portable/GCC/ARM_CM7/r0p1"/>
                  <listOptionValue builtIn="false" value="../../Drivers/CMSIS/Device/ST/STM32F7xx/Include"/>
                  <listOptionValue builtIn="false" value="../../Drivers/CMSIS/Include"/>
                  <listOptionValue builtIn="false" value="../../Middlewares/ST/touchgfx/framework/include"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/generated/fonts/include"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/generated/gui_generated/include"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/generated/images/include"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/generated/texts/include"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/gui/include"/>
                  <listOptionValue builtIn="false" value="../../Middlewares/Third_Party/FreeRTOS/Source/CMSIS_RTOS_V2"/>
                  <listOptionValue builtIn="false" value="../../Middlewares/Third_Party/FreeRTOS/Source/CMSIS_RTOS"/>
                  <listOptionValue builtIn="false" value="../../Drivers/BSP/STM32746G-Discovery"/>
                  <listOptionValue builtIn="false" value="../../Drivers/BSP/Components/ft5336"/>
                  <listOptionValue builtIn="false" value="../../LIBJPEG/App"/>
                  <listOptionValue builtIn="false" value="../../LIBJPEG/Target"/>
                  <listOptionValue builtIn="false" value="../../Middlewares/Third_Party/LibJPEG/include"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/generated/videos/include"/>
                </option>
                <inputType id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.compiler.input.c.539436455" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.compiler.input.c"/>
              </tool>
              <tool id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler.669181499" name="MCU G++ Compiler" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler">
                <option id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler.option.debuglevel.1696190027" name="Debug level" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler.option.debuglevel" useByScannerDiscovery="false" value="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler.option.debuglevel.value.g3" valueType="enumerated"/>
                <option id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler.option.optimization.level.579324287" name="Optimization level" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler.option.optimization.level" useByScannerDiscovery="false" value="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler.option.optimization.level.value.os" valueType="enumerated"/>
                <option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler.option.definedsymbols.1464057568" name="Define symbols (-D)" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler.option.definedsymbols" useByScannerDiscovery="false" valueType="definedSymbols">
                  <listOptionValue builtIn="false" value="USE_HAL_DRIVER"/>
                  <listOptionValue builtIn="false" value="STM32F746xx"/>
                  <listOptionValue builtIn="false" value="DEBUG"/>
                </option>
                <option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler.option.includepaths.745404033" name="Include paths (-I)" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler.option.includepaths" useByScannerDiscovery="false" valueType="includePath">
                  <listOptionValue builtIn="false" value="../../Core/Inc"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/App"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/target/generated"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/target"/>
                  <listOptionValue builtIn="false" value="../../Drivers/STM32F7xx_HAL_Driver/Inc"/>
                  <listOptionValue builtIn="false" value="../../Drivers/STM32F7xx_HAL_Driver/Inc/Legacy"/>
                  <listOptionValue builtIn="false" value="../../Middlewares/Third_Party/FreeRTOS/Source/include"/>
                  <listOptionValue builtIn="false" value="../../Middlewares/Third_Party/FreeRTOS/Source/portable/GCC/ARM_CM7/r0p1"/>
                  <listOptionValue builtIn="false" value="../../Drivers/CMSIS/Device/ST/STM32F7xx/Include"/>
                  <listOptionValue builtIn="false" value="../../Drivers/CMSIS/Include"/>
                  <listOptionValue builtIn="false" value="../../Middlewares/ST/touchgfx/framework/include"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/generated/fonts/include"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/generated/gui_generated/include"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/generated/images/include"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/generated/texts/include"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/gui/include"/>
                  <listOptionValue builtIn="false" value="../../Middlewares/Third_Party/FreeRTOS/Source/CMSIS_RTOS_V2"/>
                  <listOptionValue builtIn="false" value="../../Middlewares/Third_Party/FreeRTOS/Source/CMSIS_RTOS"/>
                  <listOptionValue builtIn="false" value="../../Drivers/BSP/STM32746G-Discovery"/>
                  <listOptionValue builtIn="false" value="../../Drivers/BSP/Components/ft5336"/>
                  <listOptionValue builtIn="false" value="../../LIBJPEG/App"/>
                  <listOptionValue builtIn="false" value="../../LIBJPEG/Target"/>
                  <listOptionValue builtIn="false" value="../../Middlewares/Third_Party/LibJPEG/include"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/generated/videos/include"/>
                </option>
                <option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler.option.otherflags.0833353016" name="Other flags" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler.option.otherflags" useByScannerDiscovery="false" valueType="stringList">
                  <listOptionValue builtIn="false" value="-femit-class-debug-always"/>
                </option>
                <inputType id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler.input.cpp.112317426" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler.input.cpp"/>
              </tool>
              <tool id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.linker.667692421" name="MCU GCC Linker" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.linker">
                <option id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.linker.option.script.705483390" name="Linker Script (-T)" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.linker.option.script" value="${workspace_loc:/${ProjName}/STM32F746NGHX_FLASH.ld}" valueType="string"/>
              </tool>
              <tool id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.linker.849921271" name="MCU G++ Linker" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.linker">
                <option id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.linker.option.script.997484056" name="Linker Script (-T)" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.linker.option.script" useByScannerDiscovery="false" value="${workspace_loc:/${ProjName}/STM32F746NGHX_FLASH.ld}" valueType="string"/>
                <option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.linker.option.libraries.8239377373" name="Libraries (-l)" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.linker.option.libraries" useByScannerDiscovery="false" valueType="libs">
                  <listOptionValue builtIn="false" value=":libtouchgfx-float-abi-hard.a"/>
                </option>
                <option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.linker.option.directories.9859549508" name="Library search path (-L)" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.linker.option.directories" useByScannerDiscovery="false" valueType="libPaths">
                  <listOptionValue builtIn="false" value="C:/Dev/STM32F746-DISCO/stm32f746g_disco/STM32F746G_DISCO/Middlewares/ST/touchgfx/lib/core/cortex_m7/gcc"/>
                  <listOptionValue builtIn="false" value="C:/git/STM32F746-dk/stm32f746g_disco/STM32F746G_DISCO/Middlewares/ST/touchgfx/lib/core/cortex_m7/gcc"/>
                  <listOptionValue builtIn="false" value="C:/dev/pacman/at/stm32f746g_disco/STM32F746G_DISCO/Middlewares/ST/touchgfx/lib/core/cortex_m7/gcc"/>
                  <listOptionValue builtIn="false" value="C:/TouchGFXProjects/Timer/Middlewares/ST/touchgfx/lib/core/cortex_m7/gcc"/>
                </option>
                <inputType id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.linker.input.759218838" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.linker.input">
                  <additionalInput kind="additionalinputdependency" paths="$(USER_OBJS)"/>
                  <additionalInput kind="additionalinput" paths="$(LIBS)"/>
                </inputType>
              </tool>
              <tool id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.archiver.146535021" name="MCU GCC Archiver" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.archiver"/>
              <tool id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.size.1144757502" name="MCU Size" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.size"/>
              <tool id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.objdump.listfile.2082805303" name="MCU Output Converter list file" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.objdump.listfile"/>
              <tool id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.objcopy.hex.1543134225" name="MCU Output Converter Hex" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.objcopy.hex"/>
              <tool id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.objcopy.binary.2060539394" name="MCU Output Converter Binary" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.objcopy.binary"/>
              <tool id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.objcopy.verilog.1400776439" name="MCU Output Converter Verilog" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.objcopy.verilog"/>
              <tool id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.objcopy.srec.335005931" name="MCU Output Converter Motorola S-rec" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.objcopy.srec"/>
              <tool id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.objcopy.symbolsrec.2129851294" name="MCU Output Converter Motorola S-rec with symbols" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.objcopy.symbolsrec"/>
            </toolChain>
          </folderInfo>
        </configuration>
      </storageModule>
      <storageModule moduleId="org.eclipse.cdt.core.externalSettings"/>
    </cconfiguration>
    <cconfiguration id="com.st.stm32cube.ide.mcu.gnu.managedbuild.config.exe.release.922278489">
      <storageModule buildSystemId="org.eclipse.cdt.managedbuilder.core.configurationDataProvider" id="com.st.stm32cube.ide.mcu.gnu.managedbuild.config.exe.release.922278489" moduleId="org.eclipse.cdt.core.settings" name="Release">
        <externalSettings/>
        <extensions>
          <extension id="org.eclipse.cdt.core.ELF" point="org.eclipse.cdt.core.BinaryParser"/>
          <extension id="org.eclipse.cdt.core.GASErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
          <extension id="org.eclipse.cdt.core.GmakeErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
          <extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
          <extension id="org.eclipse.cdt.core.CWDLocator" point="org.eclipse.cdt.core.ErrorParser"/>
          <extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
        </extensions>
      </storageModule>
      <storageModule moduleId="cdtBuildSystem" version="4.0.0">
        <configuration artifactExtension="elf" artifactName="${ProjName}" buildArtefactType="org.eclipse.cdt.build.core.buildArtefactType.exe" buildProperties="org.eclipse.cdt.build.core.buildArtefactType=org.eclipse.cdt.build.core.buildArtefactType.exe,org.eclipse.cdt.build.core.buildType=org.eclipse.cdt.build.core.buildType.release" cleanCommand="rm -rf" description="" id="com.st.stm32cube.ide.mcu.gnu.managedbuild.config.exe.release.922278489" name="Release" parent="com.st.stm32cube.ide.mcu.gnu.managedbuild.config.exe.release">
          <folderInfo id="com.st.stm32cube.ide.mcu.gnu.managedbuild.config.exe.release.922278489." name="/" resourcePath="">
            <toolChain id="com.st.stm32cube.ide.mcu.gnu.managedbuild.toolchain.exe.release.564032301" name="MCU ARM GCC" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.toolchain.exe.release">
              <option id="com.st.stm32cube.ide.mcu.option.internal.toolchain.type.766888243" name="Internal Toolchain Type" superClass="com.st.stm32cube.ide.mcu.option.internal.toolchain.type" useByScannerDiscovery="false" value="com.st.stm32cube.ide.mcu.gnu.managedbuild.toolchain.base.gnu-tools-for-stm32" valueType="string"/>
              <option id="com.st.stm32cube.ide.mcu.option.internal.toolchain.version.1097247161" name="Internal Toolchain Version" superClass="com.st.stm32cube.ide.mcu.option.internal.toolchain.version" useByScannerDiscovery="false" value="7-2018-q2-update" valueType="string"/>
              <option id="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.target_mcu.13709329" name="MCU" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.target_mcu" useByScannerDiscovery="true" value="STM32F746NGHx" valueType="string"/>
              <option id="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.target_cpuid.881900326" name="CPU" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.target_cpuid" useByScannerDiscovery="false" value="0" valueType="string"/>
              <option id="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.target_coreid.1072233851" name="Core" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.target_coreid" useByScannerDiscovery="false" value="0" valueType="string"/>
              <option id="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.fpu.1468293046" name="Floating-point unit" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.fpu" useByScannerDiscovery="true" value="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.fpu.value.fpv5-sp-d16" valueType="enumerated"/>
              <option id="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.floatabi.794797981" name="Floating-point ABI" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.floatabi" useByScannerDiscovery="true" value="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.floatabi.value.hard" valueType="enumerated"/>
              <option id="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.target_board.19773707" name="Board" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.target_board" useByScannerDiscovery="false" value="genericBoard" valueType="string"/>
              <option id="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.defaults.1400144662" name="Defaults" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.defaults" useByScannerDiscovery="false" value="com.st.stm32cube.ide.common.services.build.inputs.revA.1.0.5 || Release || false || Executable || com.st.stm32cube.ide.mcu.gnu.managedbuild.toolchain.base.gnu-tools-for-stm32 || STM32F746NGHx || 0 || 0 || arm-none-eabi- || ${gnu_tools_for_stm32_compiler_path} || ../../Core/Inc | ../../Drivers/CMSIS/Include | ../../Drivers/BSP/STM32746G-Discovery | ../../TouchGFX/target | ../../Drivers/STM32F7xx_HAL_Driver/Inc | ../../Drivers/CMSIS/Device/ST/STM32F7xx/Include | ../../TouchGFX/App | ../../Middlewares/Third_Party/FreeRTOS/Source/CMSIS_RTOS_V2 | ../../Middlewares/Third_Party/FreeRTOS/Source/CMSIS_RTOS | ../../TouchGFX/target/generated | ../../Drivers/STM32F7xx_HAL_Driver/Inc/Legacy | ../../Middlewares/Third_Party/FreeRTOS/Source/portable/GCC/ARM_CM7/r0p1 | ../../LIBJPEG/Target | ../../Middlewares/Third_Party/LibJPEG/include | ../../Middlewares/Third_Party/FreeRTOS/Source/include | ../../Drivers/BSP/Components/ft5336 | ../../LIBJPEG/App ||  ||  || USE_HAL_DRIVER | STM32F746xx ||  ||  ||  ||  || ${workspace_loc:/${ProjName}/STM32F746NGHX_FLASH.ld} || true || NonSecure ||  || secure_nsclib.o ||  || None || " valueType="string"/>
              <option id="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.convertbinary" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.convertbinary" value="false" valueType="boolean"/>
              <option id="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.converthex" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.option.converthex" value="true" valueType="boolean"/>
              <targetPlatform archList="all" binaryParser="org.eclipse.cdt.core.ELF" id="com.st.stm32cube.ide.mcu.gnu.managedbuild.targetplatform.976009367" isAbstract="false" osList="all" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.targetplatform"/>
              <builder buildPath="${workspace_loc:/STM32F746G_DISCO}/Release" id="com.st.stm32cube.ide.mcu.gnu.managedbuild.builder.761671957" keepEnvironmentInBuildfile="false" managedBuildOn="true" name="Gnu Make Builder" parallelBuildOn="true" parallelizationNumber="optimal" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.builder"/>
              <tool id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.assembler.1443755496" name="MCU GCC Assembler" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.assembler">
                <option id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.assembler.option.debuglevel.1172576436" name="Debug level" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.assembler.option.debuglevel" value="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.assembler.option.debuglevel.value.g0" valueType="enumerated"/>
                <inputType id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.assembler.input.1388535735" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.assembler.input"/>
              </tool>
              <tool id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.compiler.318317522" name="MCU GCC Compiler" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.compiler">
                <option id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.compiler.option.debuglevel.108585015" name="Debug level" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.compiler.option.debuglevel" useByScannerDiscovery="false" value="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.compiler.option.debuglevel.value.g0" valueType="enumerated"/>
                <option id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.compiler.option.optimization.level.995189796" name="Optimization level" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.compiler.option.optimization.level" useByScannerDiscovery="false" value="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.compiler.option.optimization.level.value.os" valueType="enumerated"/>
                <option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.compiler.option.definedsymbols.1291806093" name="Define symbols (-D)" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.compiler.option.definedsymbols" useByScannerDiscovery="false" valueType="definedSymbols">
                  <listOptionValue builtIn="false" value="USE_HAL_DRIVER"/>
                  <listOptionValue builtIn="false" value="STM32F746xx"/>
                </option>
                <option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.compiler.option.includepaths.553358066" name="Include paths (-I)" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.compiler.option.includepaths" useByScannerDiscovery="false" valueType="includePath">
                  <listOptionValue builtIn="false" value="../../Core/Inc"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/App"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/target/generated"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/target"/>
                  <listOptionValue builtIn="false" value="../../Drivers/STM32F7xx_HAL_Driver/Inc"/>
                  <listOptionValue builtIn="false" value="../../Drivers/STM32F7xx_HAL_Driver/Inc/Legacy"/>
                  <listOptionValue builtIn="false" value="../../Middlewares/Third_Party/FreeRTOS/Source/include"/>
                  <listOptionValue builtIn="false" value="../../Middlewares/Third_Party/FreeRTOS/Source/CMSIS_RTOS"/>
                  <listOptionValue builtIn="false" value="../../Middlewares/Third_Party/FreeRTOS/Source/portable/GCC/ARM_CM7/r0p1"/>
                  <listOptionValue builtIn="false" value="../../Drivers/CMSIS/Device/ST/STM32F7xx/Include"/>
                  <listOptionValue builtIn="false" value="../../Drivers/CMSIS/Include"/>
                  <listOptionValue builtIn="false" value="../../Middlewares/ST/touchgfx/framework/include"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/generated/fonts/include"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/generated/gui_generated/include"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/generated/images/include"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/generated/texts/include"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/gui/include"/>
                  <listOptionValue builtIn="false" value="../../Middlewares/Third_Party/FreeRTOS/Source/CMSIS_RTOS_V2"/>
                  <listOptionValue builtIn="false" value="../../Drivers/BSP/Components/ft5336"/>
                  <listOptionValue builtIn="false" value="../../Drivers/BSP/STM32746G-Discovery"/>
                  <listOptionValue builtIn="false" value="../../LIBJPEG/App"/>
                  <listOptionValue builtIn="false" value="../../LIBJPEG/Target"/>
                  <listOptionValue builtIn="false" value="../../Middlewares/Third_Party/LibJPEG/include"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/generated/videos/include"/>
                </option>
                <inputType id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.compiler.input.c.1007215386" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.compiler.input.c"/>
              </tool>
              <tool id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler.1406367611" name="MCU G++ Compiler" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler">
                <option id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler.option.debuglevel.892733593" name="Debug level" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler.option.debuglevel" useByScannerDiscovery="false" value="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler.option.debuglevel.value.g0" valueType="enumerated"/>
                <option id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler.option.optimization.level.1434853347" name="Optimization level" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler.option.optimization.level" useByScannerDiscovery="false" value="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler.option.optimization.level.value.os" valueType="enumerated"/>
                <option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler.option.definedsymbols.1722876634" name="Define symbols (-D)" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler.option.definedsymbols" useByScannerDiscovery="false" valueType="definedSymbols">
                  <listOptionValue builtIn="false" value="USE_HAL_DRIVER"/>
                  <listOptionValue builtIn="false" value="STM32F746xx"/>
                </option>
                <option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler.option.includepaths.374079934" name="Include paths (-I)" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler.option.includepaths" useByScannerDiscovery="false" valueType="includePath">
                  <listOptionValue builtIn="false" value="../../Core/Inc"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/App"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/target/generated"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/target"/>
                  <listOptionValue builtIn="false" value="../../Drivers/STM32F7xx_HAL_Driver/Inc"/>
                  <listOptionValue builtIn="false" value="../../Drivers/STM32F7xx_HAL_Driver/Inc/Legacy"/>
                  <listOptionValue builtIn="false" value="../../Middlewares/Third_Party/FreeRTOS/Source/include"/>
                  <listOptionValue builtIn="false" value="../../Middlewares/Third_Party/FreeRTOS/Source/CMSIS_RTOS"/>
                  <listOptionValue builtIn="false" value="../../Middlewares/Third_Party/FreeRTOS/Source/portable/GCC/ARM_CM7/r0p1"/>
                  <listOptionValue builtIn="false" value="../../Drivers/CMSIS/Device/ST/STM32F7xx/Include"/>
                  <listOptionValue builtIn="false" value="../../Drivers/CMSIS/Include"/>
                  <listOptionValue builtIn="false" value="../../Middlewares/ST/touchgfx/framework/include"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/generated/fonts/include"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/generated/gui_generated/include"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/generated/images/include"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/generated/texts/include"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/gui/include"/>
                  <listOptionValue builtIn="false" value="../../Middlewares/Third_Party/FreeRTOS/Source/CMSIS_RTOS_V2"/>
                  <listOptionValue builtIn="false" value="../../Drivers/BSP/Components/ft5336"/>
                  <listOptionValue builtIn="false" value="../../Drivers/BSP/STM32746G-Discovery"/>
                  <listOptionValue builtIn="false" value="../../LIBJPEG/App"/>
                  <listOptionValue builtIn="false" value="../../LIBJPEG/Target"/>
                  <listOptionValue builtIn="false" value="../../Middlewares/Third_Party/LibJPEG/include"/>
                  <listOptionValue builtIn="false" value="../../TouchGFX/generated/videos/include"/>
                </option>
                <option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler.option.otherflags.8892934252" name="Other flags" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler.option.otherflags" useByScannerDiscovery="false" valueType="stringList">
                  <listOptionValue builtIn="false" value="-femit-class-debug-always"/>
                </option>
                <inputType id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler.input.cpp.1320125580" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler.input.cpp"/>
              </tool>
              <tool id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.linker.1003291767" name="MCU GCC Linker" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.linker">
                <option id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.linker.option.script.1459072738" name="Linker Script (-T)" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.linker.option.script" value="${workspace_loc:/${ProjName}/STM32F746NGHX_FLASH.ld}" valueType="string"/>
              </tool>
              <tool id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.linker.1017790375" name="MCU G++ Linker" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.linker">
                <option id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.linker.option.script.228039536" name="Linker Script (-T)" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.linker.option.script" value="${workspace_loc:/${ProjName}/STM32F746NGHX_FLASH.ld}" valueType="string"/>
                <option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.linker.option.libraries.3819760953" name="Libraries (-l)" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.linker.option.libraries" valueType="libs">
                  <listOptionValue builtIn="false" value=":libtouchgfx-float-abi-hard.a"/>
                </option>
                <option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.linker.option.directories.1282940645" name="Library search path (-L)" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.linker.option.directories" valueType="libPaths">
                  <listOptionValue builtIn="false" value="C:/Dev/STM32F746-DISCO/stm32f746g_disco/STM32F746G_DISCO/Middlewares/ST/touchgfx/lib/core/cortex_m7/gcc"/>
                  <listOptionValue builtIn="false" value="C:/git/STM32F746-dk/stm32f746g_disco/STM32F746G_DISCO/Middlewares/ST/touchgfx/lib/core/cortex_m7/gcc"/>
                  <listOptionValue builtIn="false" value="C:/dev/pacman/at/stm32f746g_disco/STM32F746G_DISCO/Middlewares/ST/touchgfx/lib/core/cortex_m7/gcc"/>
                  <listOptionValue builtIn="false" value="C:/TouchGFXProjects/Timer/Middlewares/ST/touchgfx/lib/core/cortex_m7/gcc"/>
                </option>
                <inputType id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.linker.input.961771524" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.linker.input">
                  <additionalInput kind="additionalinputdependency" paths="$(USER_OBJS)"/>
                  <additionalInput kind="additionalinput" paths="$(LIBS)"/>
                </inputType>
              </tool>
              <tool id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.archiver.508445338" name="MCU GCC Archiver" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.archiver"/>
              <tool id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.size.860069015" name="MCU Size" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.size"/>
              <tool id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.objdump.listfile.718579927" name="MCU Output Converter list file" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.objdump.listfile"/>
              <tool id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.objcopy.hex.1095387193" name="MCU Output Converter Hex" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.objcopy.hex"/>
              <tool id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.objcopy.binary.774228122" name="MCU Output Converter Binary" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.objcopy.binary"/>
              <tool id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.objcopy.verilog.1787905900" name="MCU Output Converter Verilog" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.objcopy.verilog"/>
              <tool id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.objcopy.srec.1215439966" name="MCU Output Converter Motorola S-rec" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.objcopy.srec"/>
              <tool id="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.objcopy.symbolsrec.1648923534" name="MCU Output Converter Motorola S-rec with symbols" superClass="com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.objcopy.symbolsrec"/>
            </toolChain>
          </folderInfo>
        </configuration>
      </storageModule>
      <storageModule moduleId="org.eclipse.cdt.core.externalSettings"/>
    </cconfiguration>
  </storageModule>
  <storageModule moduleId="cdtBuildSystem" version="4.0.0">
    <project id="STM32F746G_DISCO.null.285015772" name="STM32F746G_DISCO"/>
  </storageModule>
  <storageModule moduleId="org.eclipse.cdt.core.LanguageSettingsProviders"/>
  <storageModule moduleId="scannerConfiguration">
    <autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
    <scannerConfigBuildInfo instanceId="com.st.stm32cube.ide.mcu.gnu.managedbuild.config.exe.debug.624734783;com.st.stm32cube.ide.mcu.gnu.managedbuild.config.exe.debug.624734783.;com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler.669181499;com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler.input.cpp.112317426">
      <autodiscovery enabled="false" problemReportingEnabled="true" selectedProfileId=""/>
    </scannerConfigBuildInfo>
    <scannerConfigBuildInfo instanceId="com.st.stm32cube.ide.mcu.gnu.managedbuild.config.exe.release.922278489;com.st.stm32cube.ide.mcu.gnu.managedbuild.config.exe.release.922278489.;com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler.1406367611;com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.cpp.compiler.input.cpp.1320125580">
      <autodiscovery enabled="false" problemReportingEnabled="true" selectedProfileId=""/>
    </scannerConfigBuildInfo>
    <scannerConfigBuildInfo instanceId="com.st.stm32cube.ide.mcu.gnu.managedbuild.config.exe.release.922278489;com.st.stm32cube.ide.mcu.gnu.managedbuild.config.exe.release.922278489.;com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.compiler.318317522;com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.compiler.input.c.1007215386">
      <autodiscovery enabled="false" problemReportingEnabled="true" selectedProfileId=""/>
    </scannerConfigBuildInfo>
    <scannerConfigBuildInfo instanceId="com.st.stm32cube.ide.mcu.gnu.managedbuild.config.exe.debug.624734783;com.st.stm32cube.ide.mcu.gnu.managedbuild.config.exe.debug.624734783.;com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.compiler.1337981174;com.st.stm32cube.ide.mcu.gnu.managedbuild.tool.c.compiler.input.c.539436455">
      <autodiscovery enabled="false" problemReportingEnabled="true" selectedProfileId=""/>
    </scannerConfigBuildInfo>
  </storageModule>
  <storageModule moduleId="org.eclipse.cdt.make.core.buildtargets"/>
  <storageModule moduleId="refreshScope" versionNumber="2">
    <configuration configurationName="Debug">
      <resource resourceType="PROJECT" workspacePath="/STM32F746G_DISCO"/>
    </configuration>
    <configuration configurationName="Release">
      <resource resourceType="PROJECT" workspacePath="/STM32F746G_DISCO"/>
    </configuration>
  </storageModule>
</cproject>
